<script>
define(['Vue', 'frdlweb'
			//, 'css!fusio-style'
			//, 'css!bootstrap-min'
			//, 'bootstrap'
		   ], function(Vue, frdlweb){
 
	function babelhindert(lang, element){
		
		return [
			['body', ' Smoke signs...',  function(str){
				  
				   str = ' Rauchzeichen...';
				   return str;
			   }, (lang)=>{
				 return ('de'=== lang && ('undefined' === typeof frdlweb.Webfan || 
										  'undefined' === typeof frdlweb.Webfan.bridges ||
										  'undefined' === typeof frdlweb.Webfan.bridges.modules || 
										  'undefined' === typeof frdlweb.Webfan.bridges.modules.smokesigns
				           ||
					     true !== frdlweb.Webfan.bridges.modules.smokesigns.enabled)) ? false : true;
			 }],
			['footer', 'Webfan - die Internetseite',  function(str){
				 
				   str = 'Webfan - the Website';
				   return str;
			   }, (lang)=>{
				 return ('de' !== lang) ? true : false;
			 }]
		];
	}			
		
		
   return new Vue({
        template: template,
        mounted: function(){
          var self = this;
			var t = false, tickFn;
			console.log(self.$refs);
            var args = Array.prototype.slice.call(arguments);
			
	            self.now = new Date();
			    self.lang = navigator.language.split(/([\-\_])/)[0].toLowerCase();
			    self.homelink = window.origin;
			    self.$babelish = babelhindert;
			
		  tickFn = function(){
              self.now = new Date();
			  if(t){
			     window.clearTimeout(t);	
			  }  
			  t = window.setTimeout(function(){
                   self.now = new Date();
				   tickFn();
              }, 1000);  
          };
			
			
	      tickFn();
			
			 (async ()=>{				
				 window.setTimeout(function(){				
					 var a = document.querySelector('footer > div > a[href="' + window.location.href.split(/\#/)[0] + '"], '
												   + 'footer > div > span > a[href="' + window.location.href + '"]'
												   );				
					 if(null !== a){				
						 a.style.display='none'; 				
					 }					  
				 }, 350);  
			 })();
			
        },
        data: {
          now: new Date(),
		  lang : navigator.language.split(/([\-\_])/)[0].toLowerCase(),
		  homelink : window.origin,
		  $babelish : babelhindert
        },
        computed: {
		  pivacylink :  function(){
			  return ('smoke.tel' === window.location.host)
			   ? 'https://call.smoke.tel/legal.html'
			   : 'https://webfan.de/apps/registry/index.php?goto=oidplus%3Aresources%24About%2FDatenschutzerklaerung.html';
		  },
		  supportlink :  function(){
			  return ('de' === this.lang)
			   ? 'https://webfan.de/contact/'
			   : 'https://webfan.de/contact/';
		  },
		  shoplink :  function(){
			  return ('de' === this.lang)
			   ? 'https://domainundhomepagespeicher.de/'
			   : 'https://domainundhomepagespeicher.de/';
		  },
          str: function(){
            return ('de' === this.lang)
			   ? {
				website : 'Webfan - die Internetseite',
				legal : 'Rechtliche Hinweise',
				contact : 'Kontakt und Support',
				imprint : 'Impressum',
				privacy : 'Datenschutzerklärung',
				search : 'Suche und Marktplatz',
				marketplace : 'Webhosting und Domains',
				smokesigns : 'Rauchzeichen',
				friendlyfrdl : 'Ihr freundlicher Internetanbieter'
			}
			 : {
				website : 'Webfan - the website',
				legal : 'Legal Terms',
				contact : 'Contact and support',
				imprint : 'Imprint',
				privacy : 'Privacy Policy',
				search : 'Search and Marketplace',
				marketplace : 'Webhosting and Domains',
				smokesigns : 'SmokeSigns',
				friendlyfrdl : 'Your friendly web provider'
			};
          },

          hour: function(){
            return this.now.getHours();
          },
          minute: function(){
            return this.now.getMinutes();
          },
          second: function(){
            return this.now.getSeconds();
          },
          year: function(){
            return this.now.getFullYear();
          },
          month: function(){
            return this.now.getMonth() + 1;
          },
          day: function(){
            return this.now.getDate();
          }
        }
      })
    });
</script>
<style>
.webfan-website-footer{
	bottom: 1px; 
	font-size: 0.7em;    
	z-index:1000;
    border-radius: 0.5em;
    box-shadow: 2px 3px 7px 2px rgba(0,0,0,0.02);
	backdrop-filter: contrast(0.5);
}  
@media (max-width: 700px) {
        .webfan-website-footer {
            margin: 0 auto;
            width: auto;
        }
}
</style>
<template>
<footer class="container-fluid fusio-footer webfan-website-footer">
	<div style="display:inline-block;margin:5px;display:inline-block;text-align:left;">		             
			 <a class="btn-sm btn-link" :href="homelink" title="Home">Home</a>	
<!--<a class="btn-sm btn-link" :title="str.website" href="https://webfan.website/" style="white-space: nowrap;">❤️ {{ str.website }}</a>-->
	 <a class="btn-sm btn-link" href="https://startforum.de/" title="Startforum Social Networks">☕ Startforum Social Networks</a>	
	 <a class="btn-sm btn-link" :title="str.smokesigns" href="https://smoke.tel/" style="white-space: nowrap;">☎️ {{ str.smokesigns }}</a>
   </div>			
	<div style="display:inline-block;margin:5px;align:bottom;text-align:center;">
 	 <a class="btn-sm btn-link" :title="str.marketplace" :href="shoplink" style="white-space: nowrap;">🌐 {{ str.marketplace }}</a>
		
		<i><a class="btn-sm btn-link" title="Webfan" href="https://webfan.de/index.html">💗 Webfan Homepagesystem</a> - {{ str.friendlyfrdl }}!</i>  
	<span style="white-space:nowrap;" frdl-id="footercopyright">
		<a href="https://webfan.de/install/">&copy; {{ year }}</a> 
	    <a class="btn-sm btn-link" title="Frdlweb" href="https://frdl.de/">Frdlweb</a>
	</span>
	</div>		
	<div style="display:inline-block;margin:5px;display:inline-block;text-align:right;">				
<a class="btn-sm btn-link" :href="supportlink" :title="str.contact"  style="white-space: nowrap;">{{ str.contact }}</a>		      
			  <a class="btn-sm btn-link" href="https://status.frdl.de/" title="Status">Status</a>		
   <a class="btn-sm btn-link" href="https://webfan.de/apps/registry/legal.html" :title="str.legal" style="white-space: nowrap;">{{ str.legal }}</a>				
<a class="btn-sm btn-link" :href="pivacylink" :title="str.privacy"  style="white-space: nowrap;">{{ str.privacy }}</a>				
<a class="btn-sm btn-link" href="https://webfan.de/apps/registry/?goto=oidplus%3Aresources%24About%2FImpressum.html" :title="str.imprint">
	{{ str.imprint }}
	</a>				
	</div>
</footer>
</template>